This archive contains the ACG definitions and the commands to be used with the [ACGtk software](https://gitlab.inria.fr/ACG/dev/ACGtk) that illustrates the article:

[ACGtk: A Toolkit for Developing and Running Abstract Categorial Grammars](https://inria.hal.science/hal-04479621) (2024). In: proceedings of the 17th International Symposium on Functional and Logic Programming (FLOPS 2024), May 2024, Kumamoto, Japan.

# Content
+ `cfg.acg` defines the higher-order signatures and lexicons used in the article.
+ `cfg.acgs` is a script with the commands given as example in the article (and more).

# Test it!

The code should run with `acgtk` versions 2.1.0 and later.

## Install `acgtk`

See the [documentation](https://acg.gitlabpages.inria.fr/dev/ACGtk/release-2.1.0.2024-02-19/acgtk/users.html#install).

## Usage

When `acg` is installed, just move to the `acg-examples` directory and run:
```
acg -s cfg.acgs
```
and press `[return]` to get the command executed.

If you want to run your own commands, just look at the [acgtk documentation](https://acg.gitlabpages.inria.fr/dev/ACGtk/release-2.1.0.2024-02-19/acgtk/users.html).
